Package com.io7m.cedarbridge.schema.compiled.internal

# Class CBProtocolVersionDeclaration

java.lang.Object
com.io7m.cedarbridge.schema.compiled.internal.CBProtocolVersionDeclaration

All Implemented Interfaces:
  `CBProtocolVersionDeclarationType`

public final class CBProtocolVersionDeclaration extends Object implements CBProtocolVersionDeclarationType
A protocol version declaration.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBProtocolVersionDeclaration(CBProtocolDeclarationType inOwner, BigInteger inVersion)`
  Construct a version declaration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addType(CBTypeExpressionType.CBTypeExprNamedType type)`
  Add a type to the declaration.
  `CBProtocolDeclarationType`
  `owner()`
  `List<CBTypeExpressionType.CBTypeExprNamedType>`
  `typesInOrder()`
  `BigInteger`
  `version()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.cedarbridge.schema.compiled.CBProtocolVersionDeclarationType

  `containsType`

- ## Constructor Details

  - ### CBProtocolVersionDeclaration

    public CBProtocolVersionDeclaration(CBProtocolDeclarationType inOwner, BigInteger inVersion)
    Construct a version declaration.
    Parameters:
      `inOwner` - The owner
      `inVersion` - The version

- ## Method Details

  - ### owner

    public CBProtocolDeclarationType owner()
    Specified by:
      `owner` in interface `CBProtocolVersionDeclarationType`
    Returns:
      The declaration that owns this declaration

  - ### version

    public BigInteger version()
    Specified by:
      `version` in interface `CBProtocolVersionDeclarationType`
    Returns:
      The version number

  - ### typesInOrder

    public List<CBTypeExpressionType.CBTypeExprNamedType> typesInOrder()
    Specified by:
      `typesInOrder` in interface `CBProtocolVersionDeclarationType`
    Returns:
      The types in this version

  - ### addType

    public void addType(CBTypeExpressionType.CBTypeExprNamedType type)
    Add a type to the declaration.
    Parameters:
      `type` - The type